Bug 468103 - Evolution & google calendar username empty
Evolution & google calendar username empty
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
9
All Linux
high Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 16:13 EDT by Christoph Höger
Modified: 2008-11-03 05:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-03 05:04:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 508496 None None None Never

  None (edit)
Description Christoph Höger 2008-10-22 16:13:50 EDT
Description of problem:
When I setup a google calendar on evolution, I cannot download any events, that seems to depend on my username not being saved (field is empty when I check calendar properties).

Version-Release number of selected component (if applicable):
evolution-2.22.3.1-1.fc9.i386
(please note that this bug is fixed in evolution 2.24.1)

How reproducible:
always

Steps to Reproduce:
1. create google calendar
2. check for your events
3. enjoy free week ;)
  
Actual results:
no events at all, username not saved

Expected results:
See all events, save username

Additional info:
- this bug is discussed upstream under 
http://bugzilla.gnome.org/show_bug.cgi?id=525555
- this bug is fixed with evolution 2.24.1, not 2.22 at all
- there is a proposed patch at: http://bugzilla.gnome.org/attachment.cgi?id=114766&action=view
- That patch seems to be outdated for the newest version of the plugin. I suggest either applying it (too make the plugin at least working again), or, if possible, to backport the whole latest version of the plugin (it has some other quite important new features)

thanks,

christoph
Comment 1 Milan Crha 2008-10-31 16:28:22 EDT
The patch from the mentioned bug has no effect on the underlying data, it just doesn't show them properly, even the value is there. I guess, it's the other issue you are facing. Could you look into gconf key
/apps/evolution/calendar/sources
to the key where the google setup is stored (its group name is "Google") and check whether the right values are there? I recall some issue with stored username, but when wrote with an '@' in it, Evolution was able to break the URL quite well. It has been fixed too, but in F10/rawhide only.

It can be also other issue, though. Can you run evolution on console and see whether it prints some error information there when trying to refresh the google calendar, please? Or does it give any error in the UI at all?
Comment 2 Christoph Höger 2008-11-02 06:48:16 EST
Currently I get the following error output:

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_day_view_add_event: assertion `end > add_event_data->day_view->lower' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed

(evolution:4774): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `end > add_event_data->week_view->day_starts[0]' failed
libecal-Message: e_cal_recur_generate_instances_of_rule(): bogus component, does not have DTSTART.  Skipping...
libecal-Message: e_cal_recur_generate_instances_of_rule(): bogus component, does not have DTSTART.  Skipping...
libecal-Message: e_cal_recur_generate_instances_of_rule(): bogus component, does not have DTSTART.  Skipping...
libecal-Message: e_cal_recur_generate_instances_of_rule(): bogus component, does not have DTSTART.  Skipping...
libecal-Message: e_cal_recur_generate_instances_of_rule(): bogus component, does not have DTSTART.  Skipping...


I had a look at the evolution source and found out, that there is currently _no_ code for recurring events. That explains quite good, why I cannot see any events, as all my tasks are recurring so far.

I'll see if I can write a patch to fix that (code seems pretty simple right now), but as gnome is stable right now, it will probably rejected upstream for the current stable release. Would you be willing to backport it at least for fedora 10 (if it really works)?
Comment 3 Milan Crha 2008-11-03 05:04:57 EST
Thanks for your info. Some basic recurrence support has been done already, even still waiting for the review at
http://bugzilla.gnome.org/show_bug.cgi?id=508496

I'm closing this in favor of the upstream bug.

Note You need to log in before you can comment on or make changes to this bug.